package com.sunwin.visitorapp.utils;

import android.app.Activity;
import android.app.Presentation;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.hardware.display.DisplayManager;
import android.net.Uri;
import android.os.Build;
import android.provider.Settings;
import android.view.Display;
import android.view.WindowManager;

import androidx.appcompat.app.AlertDialog;

import java.util.Objects;


/**
 * 多屏显示类
 */
public class PresentationManager {

    public static boolean canMuteScreen(Context context){
        DisplayManager displayManager = (DisplayManager) context.getSystemService(Context.DISPLAY_SERVICE);
        Display[] presentationDisplays = displayManager.getDisplays();
        return presentationDisplays.length > 1;
    }

    public static Display[] getMuteScreenDisplays(Context context){
        DisplayManager displayManager = (DisplayManager) context.getSystemService(Context.DISPLAY_SERVICE);
        return displayManager.getDisplays();
    }
    public static boolean permissionsMuteScreen(Context context){
        boolean needApply = Build.VERSION.SDK_INT >= Build.VERSION_CODES.M && !Settings.canDrawOverlays(context);
        return !needApply;
    }
    public static void presentationShow(Presentation presentation) {
        try {
            if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
                Objects.requireNonNull(presentation.getWindow()).setType(WindowManager.LayoutParams.TYPE_APPLICATION_OVERLAY);
            } else {
                Objects.requireNonNull(presentation.getWindow()).setType(WindowManager.LayoutParams.TYPE_SYSTEM_ALERT);
            }
            presentation.show();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
